>From f89677ba631acc0b061e39b641df46eebb293673 Mon Sep 17 00:00:00 2001
From: Tadas Slotkus <devtadas@gmail.com>
Date: Sun, 21 Aug 2011 21:26:37 +0000
Subject: [carFl mem 64/65] Kill exit() in enable_flash_sb400

Replace it by newly created return mechanism.

This patch is proposed for mainline:
http://www.flashrom.org/pipermail/flashrom/2011-August/007692.html

Signed-off-by: Tadas Slotkus <devtadas@gmail.com>
---
 chipset_enable.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/chipset_enable.c b/chipset_enable.c
index 24e97d2..b00dd14 100644
--- a/chipset_enable.c
+++ b/chipset_enable.c
@@ -860,7 +860,7 @@ static int enable_flash_sb400(globals *g, struct pci_dev *dev, const char *name)
 
 	if (!smbusdev) {
 		msg_perr("ERROR: SMBus device not found. Aborting.\n");
-		exit(1);
+		return ERROR_FATAL;
 	}
 
 	/* Enable some SMBus stuff. */
-- 
1.7.6

